gienah      15/02/01 01:46:12

  Modified:             sbcl-1.0.55-r1.ebuild ChangeLog
  Log:
  Fix Bug 463882 - dev-lisp/sbcl-1.0.55-r1 - x86-64-linux-os.c:93:1: error: 
REG_RAX undeclared (first use in this function). Thanks to Bernardo Costa for 
reporting, Coacher for supplying the pointer to the patch from upstream that is 
applied to fix the problem, Juergen Rose and Guenther Brunthaler for supplying 
build logs, Vasiliy, Nuno Silva, patrick, blueboar, jer, pchrist and tomwij for 
helping. Apply fix for Bug 526194 - dev-lisp/sbcl-1.2.4 does not respect CFLAGS 
and LDFLAGS to sbcl-1.0.55-r1
  
  (Portage version: 2.2.15/cvs/Linux x86_64, signed Manifest commit with key 
618E971F)

Revision  Changes    Path
1.10                 dev-lisp/sbcl/sbcl-1.0.55-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lisp/sbcl/sbcl-1.0.55-r1.ebuild?rev=1.10&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lisp/sbcl/sbcl-1.0.55-r1.ebuild?rev=1.10&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lisp/sbcl/sbcl-1.0.55-r1.ebuild?r1=1.9&r2=1.10

Index: sbcl-1.0.55-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lisp/sbcl/sbcl-1.0.55-r1.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- sbcl-1.0.55-r1.ebuild       5 Aug 2014 12:47:08 -0000       1.9
+++ sbcl-1.0.55-r1.ebuild       1 Feb 2015 01:46:12 -0000       1.10
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/sbcl/sbcl-1.0.55-r1.ebuild,v 1.9 
2014/08/05 12:47:08 gienah Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lisp/sbcl/sbcl-1.0.55-r1.ebuild,v 1.10 
2015/02/01 01:46:12 gienah Exp $
 
 EAPI=3
 inherit multilib eutils flag-o-matic pax-utils
@@ -85,6 +85,14 @@
                epatch 
"${FILESDIR}"/gentoo-fix_nopie_for_hardened_toolchain.patch
        fi
 
+       # bug #463882, patch from upstream 
https://bugs.launchpad.net/sbcl/+bug/1095036
+       epatch "${FILESDIR}"/${P}-newglibc.patch
+
+       # bug #526194
+       sed -e "s@CFLAGS =@CFLAGS = ${CFLAGS}@" \
+               -e "s@LINKFLAGS =@LINKFLAGS = ${LDFLAGS}@" \
+               -i src/runtime/GNUmakefile || die
+
        use source && sed 's%"$(BUILD_ROOT)%$(MODULE).lisp "$(BUILD_ROOT)%' -i 
contrib/vanilla-module.mk
 
        # Some shells(such as dash) don't have "time" as builtin



1.216                dev-lisp/sbcl/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lisp/sbcl/ChangeLog?rev=1.216&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lisp/sbcl/ChangeLog?rev=1.216&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lisp/sbcl/ChangeLog?r1=1.215&r2=1.216

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lisp/sbcl/ChangeLog,v
retrieving revision 1.215
retrieving revision 1.216
diff -u -r1.215 -r1.216
--- ChangeLog   31 Jan 2015 04:35:14 -0000      1.215
+++ ChangeLog   1 Feb 2015 01:46:12 -0000       1.216
@@ -1,6 +1,16 @@
 # ChangeLog for dev-lisp/sbcl
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/sbcl/ChangeLog,v 1.215 2015/01/31 
04:35:14 gienah Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lisp/sbcl/ChangeLog,v 1.216 2015/02/01 
01:46:12 gienah Exp $
+
+  01 Feb 2015; Mark Wright <[email protected]>
+  +files/sbcl-1.0.55-newglibc.patch, sbcl-1.0.55-r1.ebuild:
+  Fix Bug 463882 - dev-lisp/sbcl-1.0.55-r1 - x86-64-linux-os.c:93:1: error:
+  REG_RAX undeclared (first use in this function). Thanks to Bernardo Costa for
+  reporting, Coacher for supplying the pointer to the patch from upstream that
+  is applied to fix the problem, Juergen Rose and Guenther Brunthaler for
+  supplying build logs, Vasiliy, Nuno Silva, patrick, blueboar, jer, pchrist 
and
+  tomwij for helping. Apply fix for Bug 526194 - dev-lisp/sbcl-1.2.4 does not
+  respect CFLAGS and LDFLAGS to sbcl-1.0.55-r1
 
   31 Jan 2015; Mark Wright <[email protected]>
   +files/sbcl-1.2.7-verbose-build.patch, sbcl-1.2.7.ebuild:




Reply via email to